curl --request GET \
--url https://api.justpaid.io/api/v1/payment/invoice-payment/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.justpaid.io/api/v1/payment/invoice-payment/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.justpaid.io/api/v1/payment/invoice-payment/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.justpaid.io/api/v1/payment/invoice-payment/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.justpaid.io/api/v1/payment/invoice-payment/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.justpaid.io/api/v1/payment/invoice-payment/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.justpaid.io/api/v1/payment/invoice-payment/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"invoice": {
"amount": "<string>",
"invoice_number": "<string>",
"line_items": [
{
"name": "<string>",
"unit_price": "<string>",
"quantity": 1,
"amount": "<string>",
"currency": "USD",
"description": "<string>",
"flat_fee": "<string>"
}
],
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USD",
"invoice_status": "draft",
"invoice_date": "2023-12-25",
"description": "<string>"
},
"total_amount": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"customer_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_status": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processing_fee": "<string>",
"net_amount": "<string>",
"reference_number": "<string>",
"payment_scheduled_date": "2023-11-07T05:31:56Z",
"payment_completed_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"count": 123
}Invoice Payment List Api
List invoice payments with optional filtering and pagination. Returns all payments by default. Use the created_in_api filter to restrict to API-created or non-API payments.
curl --request GET \
--url https://api.justpaid.io/api/v1/payment/invoice-payment/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.justpaid.io/api/v1/payment/invoice-payment/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.justpaid.io/api/v1/payment/invoice-payment/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.justpaid.io/api/v1/payment/invoice-payment/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.justpaid.io/api/v1/payment/invoice-payment/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.justpaid.io/api/v1/payment/invoice-payment/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.justpaid.io/api/v1/payment/invoice-payment/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"invoice": {
"amount": "<string>",
"invoice_number": "<string>",
"line_items": [
{
"name": "<string>",
"unit_price": "<string>",
"quantity": 1,
"amount": "<string>",
"currency": "USD",
"description": "<string>",
"flat_fee": "<string>"
}
],
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USD",
"invoice_status": "draft",
"invoice_date": "2023-12-25",
"description": "<string>"
},
"total_amount": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"customer_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_status": "<string>",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"processing_fee": "<string>",
"net_amount": "<string>",
"reference_number": "<string>",
"payment_scheduled_date": "2023-11-07T05:31:56Z",
"payment_completed_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"count": 123
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by payment status (e.g. 'Scheduled', 'Completed', 'Failed')
Filter by customer UUID (via invoice)
Filter by invoice UUID
Filter payments scheduled on or after this date (YYYY-MM-DD)
Filter payments scheduled on or before this date (YYYY-MM-DD)
Filter payments with amount greater than or equal to this value
Filter payments with amount less than or equal to this value
Filter by API-created payments. true=only API-created, false=only non-API, omit=all
Number of results to return per page
Number of results to skip
Was this page helpful?
